> For the complete documentation index, see [llms.txt](https://docs.tactyc.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tactyc.io/api-and-integrations/api-overview/investment-cashflows.md).

# Investment Cashflows

Get a investment's cashflows programmatically

## **Method and URL**

<table data-header-hidden><thead><tr><th width="109"></th><th></th></tr></thead><tbody><tr><td>URL</td><td><code>https://tactycapi.com/api/investment-cashflows/fund/{{FUND_ID}}</code></td></tr><tr><td>Method</td><td>GET</td></tr><tr><td>Params</td><td><strong>Fund ID:</strong> The fund's unique ID identifier.</td></tr></tbody></table>

## Sample Request

The following is a sample request to query the first 12 months performance

```
// Sample request
curl https://tactycapi.com/api/investment-cashflows/{{FUND_ID}}
 -X GET
 -H 'Authorization:{{API KEY}}'
```

## Sample Response

The response will provide the following fields:

* **Status Code:** 200 for a succesful response
* **Body:** JSON array of cash flow events for each investment
* **Metrics provided are:**
  * **id:** Internal Tactyc ID
  * **investmentId:** Internal Tactyc ID for the investment
  * **investmentName:** Company Name
  * **scenarioName:** Name of the performance case
  * **probability**: Performance case probability
  * **value:** Cash flow value in fund currency
  * **date**: Date of the cash flow event
  * **period:** Number of months since the fund's start date
  * **type**: Initial, Follow-On, Dividend or Exit

````json
```json
{
    "status": 200,
    "body": [
        {
            "id": "ITJlpIeNy",
            "investmentId": "ksf7HDgwvKv",
            "investmentName": "AlphaTech",
            "probability": 0.2,
            "scenarioName": "Base",
            "value": 1500000,
            "date": "Jan-2021",
            "period": 0,
            "type": "initial"
        },
        {
            "id": "A8d2ObVN2Y",
            "investmentId": "vBGvl4ybp",
            "investmentName": "EchelonTech",
            "probability": 1,
            "scenarioName": "Base",
            "value": 1000000,
            "date": "Jan-2021",
            "period": 0,
            "type": "initial"
```
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tactyc.io/api-and-integrations/api-overview/investment-cashflows.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
